<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlChanCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlChanCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Rx/Tx Channel Configuration.  
 <a href="structrl_chan_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a3569bc8383bfa6e81bced4d172174c18"><td class="memItemLeft" align="right" valign="top">rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_chan_cfg__t.html#a3569bc8383bfa6e81bced4d172174c18">rxChannelEn</a></td></tr>
<tr class="separator:a3569bc8383bfa6e81bced4d172174c18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9be33a6f7dea9cc5dee1cd496effa51c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9be33a6f7dea9cc5dee1cd496effa51c"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_chan_cfg__t.html#a9be33a6f7dea9cc5dee1cd496effa51c">txChannelEn</a></td></tr>
<tr class="memdesc:a9be33a6f7dea9cc5dee1cd496effa51c"><td class="mdescLeft">&#160;</td><td class="mdescRight">TX Channel Bitmap <br />
 b0 TX0 Channel Enable <br />
 0 Disable TX Channel 0 <br />
 1 Enable TX Channel 0<br />
 b1 TX1 Channel Enable <br />
 0 Disable TX Channel 1 <br />
 1 Enable TX Channel 1 <br />
 b2 TX2 Channel Enable <br />
 0 Disable TX Channel 2 <br />
 1 Enable TX Channel 2 <br />
. <br /></td></tr>
<tr class="separator:a9be33a6f7dea9cc5dee1cd496effa51c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabe71a8d12c11d7b6251b1a63ef7688b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aabe71a8d12c11d7b6251b1a63ef7688b"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_chan_cfg__t.html#aabe71a8d12c11d7b6251b1a63ef7688b">cascading</a></td></tr>
<tr class="memdesc:aabe71a8d12c11d7b6251b1a63ef7688b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable Cascading <br />
 0x0000 SINGLECHIP: Single mmWave sensor application<br />
 0x0001 MULTICHIP_MASTER: Multiple mmwave sensor application. This mmwave is <br />
 the master chip and generates LO and conveys to other mmwave sensor. <br />
 This is applicable only in AWR1243.<br />
 0x0002 MULTICHIP_SLAVE: Multiple mmwave sensor application. This mmwave is a <br />
 slave chip and uses LO conveyed to it by the master mmwave sensor. <br />
 This is applicable only in AWR1243 <br />
. <br /></td></tr>
<tr class="separator:aabe71a8d12c11d7b6251b1a63ef7688b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a8436441cec9e77b8714884781f3927"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2a8436441cec9e77b8714884781f3927"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_chan_cfg__t.html#a2a8436441cec9e77b8714884781f3927">bReserved</a></td></tr>
<tr class="memdesc:a2a8436441cec9e77b8714884781f3927"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a2a8436441cec9e77b8714884781f3927"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Rx/Tx Channel Configuration. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a3569bc8383bfa6e81bced4d172174c18"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlUInt16_t rlChanCfg_t::rxChannelEn</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>@ brief RX Channel Bitmap <br />
 b0 RX0 Channel Enable <br />
 0 Disable RX Channel 0 <br />
 1 Enable RX Channel 0 <br />
 b1 RX1 Channel Enable <br />
 0 Disable RX Channel 1 <br />
 1 Enable RX Channel 1 <br />
 b2 RX2 Channel Enable <br />
 0 Disable RX Channel 2 <br />
 1 Enable RX Channel 2 <br />
 b3 RX3 Channel Enable <br />
 0 Disable RX Channel 3 <br />
 1 Enable RX Channel 3 <br />
</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
